// Output_9112.h: interface for the COutput_9112 class.
//
//////////////////////////////////////////////////////////////////////
#pragma once

#include "OutputBase.h"

class CAdlinkCommon;
// NOTE: the Channel/Point number for analog output is 0 and 1 only
// However, MIT internal setting is 16 and 17.
class COutput_9112 : public COutputBase
{
public:
    COutput_9112(const COutputSetting& Setting);
    virtual ~COutput_9112();

    // dRange = -10 for 0-10V output
    // dRange = 10 for -10-0V output
    // method to set analog output voltage
    BOOL SetVoltage(double dVoltage, double dRange);

    BOOL SetState(bool bState) override;

private:
    std::unique_ptr<CAdlinkCommon> m_pCommon;
};
